diff -urN aptitude-0.4.10/debian/bash-complete aptitude-0.4.10.new/debian/bash-complete
--- aptitude-0.4.10/debian/bash-complete	1970-01-01 01:00:00.000000000 +0100
+++ aptitude-0.4.10.new/debian/bash-complete	2008-01-10 00:29:37.000000000 +0100
@@ -0,0 +1,33 @@
+have aptitude &&
+_aptitude()
+{
+	local cur prev special i
+
+	COMPREPLY=()
+	cur=${COMP_WORDS[COMP_CWORD]}
+	prev=${COMP_WORDS[COMP_CWORD-1]}
+
+	for (( i=0; i < ${#COMP_WORDS}-1; i++ )); do
+		if [[ ${COMP_WORDS[i]} == @(list) ]]; then
+			special=${COMP_WORDS[i]}
+		fi
+	done
+
+	if [ -n "$special" ]; then
+            COMPREPLY=( $( apt-cache pkgnames $cur 2> /dev/null ) )
+            return 0
+        fi
+
+
+	COMPREPLY=( $( compgen -W 'install remove purge hold \
+                        unhold markauto unmarkauto forbid-version \
+			update safe-upgrade full-upgrade forget-new \
+			search show clean autoclean changelog \
+			download reinstall why why-not keep keep-all' -- $cur ) )
+
+
+	return 0
+
+}
+complete -F _aptitude aptitude
+
diff -urN aptitude-0.4.10/debian/rules aptitude-0.4.10.new/debian/rules
--- aptitude-0.4.10/debian/rules	2008-01-10 00:36:28.000000000 +0100
+++ aptitude-0.4.10.new/debian/rules	2008-01-10 00:16:06.000000000 +0100
@@ -43,6 +43,10 @@
 	cp debian/aptitude.reportbug debian/aptitude/usr/share/bug/aptitude
 	chmod +x debian/aptitude/usr/share/bug/aptitude
 
+	# bash complete file
+	install -d debian/aptitude/etc/bash_completion.d/
+	install -m 644 debian/bash-complete debian/aptitude/etc/bash_completion.d/aptitude
+
 	ln -s ../../aptitude/README debian/aptitude/usr/share/doc/aptitude/README
 
 	ln -s ../../aptitude/NEWS debian/aptitude/usr/share/doc/aptitude/NEWS
